//wizard cut scene

void main( void )
{
freeze(1);
playmidi("wanderer.mid");
int &mcrap = create_sprite(78, 319, 7, 167, 1);
sp_seq(&mcrap, 167);
sp_speed(&current_sprite, 1);
playsound(24, 22052, 0, 0, 0);
move_stop(&current_sprite, 6, 120, 1)
wait(300);
say_stop("What the...", 1);
wait(300);
move_stop(1, 8, 377, 1)
move_stop(1, 6, 341, 1)
move_stop(1, 8, 319, 1)
move_stop(1, 2, 319, 1)
move_stop(1, 4, 280, 1)
wait(300);
say_stop("你是谁？", 1);
wait(200);
sp_pseq(&current_sprite, 561);
wait(200);
sp_pseq(&current_sprite, 563);
wait(200);
say_stop("`0我是个伟大的魔法师", &current_sprite);
wait(200);
say_stop("怎么可能啊！哪有这么可爱这么小的法师！", 1);
wait(200);
move_stop(&current_sprite, 6, 161, 1)
wait(200);
say_stop("`0瞎说！我哪有这样！", &current_sprite);
wait(200);
move_stop(&current_sprite, 6, 192, 1)
wait(200);
say_stop("`0你不能用我的身高衡量我的能力！", &current_sprite);
wait(200);
say_stop("嘿嘿，这么可爱，拍拍你。", 1);
wait(200);
move_stop(1, 4, 145, 1)
wait(200);
say_stop("哪泥？我怎么能从你身上穿过去？", 1);
wait(200);
move_stop(1, 6, 304, 1)
wait(50);
move_stop(1, 4, 289, 1)
wait(200);
say_stop("你并不在这里吧？", 1);
wait(200);
say_stop("`0我当然在，不过，身体不在而已。", &current_sprite);
wait(200);
sp_pseq(&current_sprite, 561);
wait(200);
sp_pseq(&current_sprite, 563);
wait(200);
say_stop("`0如果你想了解更多的话.. 到我的隐蔽小屋来。", &current_sprite);
wait(200);
say_stop("既然是隐蔽小屋我怎么找得到？o_o凸",1);
wait(200);
say_stop("`0哦，也对。在东北方有些树，树的后面就是我的小屋，屋里有个 - 和尚，和尚的心中有些树。。", &current_sprite);
wait(200);
say_stop("知道啦知道啦，我会来的.. 你在哪个杂技团？", 1);
wait(200);
say_stop("`0不要惹我生气，人类！", &current_sprite);
sp_speed(&current_sprite, 10);
sp_timing(&current_sprite, 0);
unfreeze(1);
move_stop(&current_sprite, 4, 71, 1)
move_stop(&current_sprite, 8, 213, 1)
move_stop(&current_sprite, 6, 323, 1)
move_stop(&current_sprite, 2, 295, 1)
move_stop(&current_sprite, 4, 145, 1)
move_stop(&current_sprite, 8, 217, 1)
move_stop(&current_sprite, 6, 316, 1)
move_stop(&current_sprite, 2, 336, 1)
move_stop(&current_sprite, 6, 545, 1)
move_stop(&current_sprite, 8, 241, 1)
move_stop(&current_sprite, 4, 359, 1)
&mcrap = create_sprite(359, 241, 7, 167, 1);
sp_seq(&mcrap, 167);
playsound(24, 22052, 0, 0, 0);
sp_active(&current_sprite, 0);
return;
}

//-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

